ofbiz-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Brohl (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (OFBIZ-11133) Resolve build.gradle warnings
Date Sat, 06 Jul 2019 18:21:00 GMT

    [ https://issues.apache.org/jira/browse/OFBIZ-11133?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16879731#comment-16879731
] 

Michael Brohl commented on OFBIZ-11133:
---------------------------------------

Thank you, [~mthl],

I suspected it was 1862326 (update to Gradle 5.5) because of the documentation which says
[1]:
{noformat}
If you are using Gradle 5.5+ you will need at least v2.3.0 of the plugins.{noformat}
We are using 2.2.0 and I did not find 2.3.0 releases.

I ran
{noformat}
./gradlew wrapper --gradle-version=5.0 --distribution-type=bin{noformat}
to switch back to Gradle 5.0 and the generateOfbizDocumentation task works just fine.

Can you please check?

 

[1] https://github.com/asciidoctor/asciidoctor-gradle-plugin

> Resolve build.gradle warnings
> -----------------------------
>
>                 Key: OFBIZ-11133
>                 URL: https://issues.apache.org/jira/browse/OFBIZ-11133
>             Project: OFBiz
>          Issue Type: Improvement
>            Reporter: Michael Brohl
>            Assignee: Michael Brohl
>            Priority: Minor
>
> The Gradle build show several warnings which should be eliminated:
> {noformat}
>   - 'org.asciidoctor.convert' is deprecated. When you have time please switch over to
'org.asciidoctor.jvm.convert'.
>   - jcenter() is no longer added by default. If you relied on this behaviour in the
past, please add jcenter() to the repositories block.
>   - You have used 'backends'. When upgrading you will need to: Use outputOptions.setbackends{noformat}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message